package org.qatools.util;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.apache.log4j.Logger;

public class DateUtil extends QAToolsUtil {
    private static Logger sLogger = Logger.getLogger(DateUtil.class);


	private final static DateFormat yyyymmdd = new SimpleDateFormat("yyyyMMdd");
	private final static DateFormat yyyymmddhhmmss = new SimpleDateFormat("yyyyMMddHHmmss");
	private final static DateFormat yyyymmdd_hhmmss = new SimpleDateFormat("yyyyMMdd_HHmmss");

    
	/**
     * returns date in yyyymmdd_hhmmss format
     * 
     * @return
     */
    public static String yyyymmdd_hhmmss() {
    	Date date = new Date();
    	return yyyymmdd_hhmmss.format(date);
    }

	/**
     * returns date in yyyymmdd format
     * 
     * @return
     */
    public static String yyyymmdd() {
    	Date date = new Date();
    	return yyyymmdd.format(date);
    }

	/**
     * returns date in yyyymmddhhmmss format
     * 
     * @return
     */
    public static String yyyymmddhhmmss() {
    	Date date = new Date();
    	return yyyymmddhhmmss.format(date);
    }
    
    
}
