package org.qatools.wait;

/**
 * 
 * @author scottwilson
 *
 */
public abstract class Wait {
    
    public void wait2(long timeoutSeconds) throws Exception {
        long start = System.currentTimeMillis();
        long elapsed = -1;
        while (elapsed < timeoutSeconds) {
            if (checkCondition()) {
                System.out.println("Condition is met - ");
                return;
            }
            try {
                Thread.sleep(100);
            } catch (InterruptedException ignored) {
            }
            elapsed = (System.currentTimeMillis() - start) / 1000;
        }
        System.out.println("Timeout - ");        
        throw new Exception("Timeout - ");
    }

    
    public abstract boolean checkCondition();
}